import { l as proxyL } from 'astro-i18n'

const locales = ["de"];

export const l =  (route: string) => {
    const transPath = proxyL(route)

    if(import.meta.env.DEV) {
        return transPath;
    }

    let [empty, locale, ...rest] = transPath.split("/");
    if (locales.includes(locale)) {
        return "/" + rest.join("/");
    }

    return transPath;
}
